Subject: bug#22546: closed (Re: bug#22546: Download-Page is "hiding" what the options actually are)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 07 Feb 2016 20:05:01 +0000

Your bug report

#22546: Download-Page is "hiding" what the options actually are

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22546: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22546
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22546: Download-Page is "hiding" what the options actually are
From: [email-masked] (Ludovic Courtès)
To: Robin Vobruba <[email-masked]>
Cc: [email-masked]
Date: Sun, 07 Feb 2016 21:04:09 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Robin Vobruba <[email-masked]> skribis:

> Being new to Guix, i went to the Download page:
> https://www.gnu.org/software/guix/download/
>
> immediately saw the 3 big options
> read their title/names
> was confused what the difference might be between "GuixSD" and "Guix Binary"
> could not find anything inside these 3 option's boxes that would help me
> read the text below them
> read the text above them
> finally understood that the first option is the OS, and the second is only
> the packag-manager

I think I’ll have to disagree.  :-)

For each option there’s a line right below the title saying what this
is.  I’m no expert in “information architecture” but I’m under the
impression that there’s little margin for improvement.

More importantly, I think that someone who cannot be bothered to read
this will not install the thing at all since installing requires you to
read the much longer installation instructions.  Of course we want them
to be as small as possible, but I don’t think that’ll be a single line
anytime soon.

I hope this makes sense!

Thanks for your feedback,
Ludo’.

Subject: Download-Page is "hiding" what the options actually are
From: Robin Vobruba <[email-masked]>
To: [email-masked]
Date: Wed, 3 Feb 2016 18:09:12 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Being new to Guix, i went to the Download page:
https://www.gnu.org/software/guix/download/

immediately saw the 3 big options
read their title/names
was confused what the difference might be between "GuixSD" and "Guix Binary"
could not find anything inside these 3 option's boxes that would help me
read the text below them
read the text above them
finally understood that the first option is the OS, and the second is only
the packag-manager

i think that the first option should have a title saying "Operating System
install medium" or the like, and the second "Package-Manager for arbitrary
Linux".
nobody is going to read a small, regular text formatted, two lines long
paragraph on a download page, but this is very crucial information for
everyone that gets there.

... sounds like a very good project! :-)